<?php defined('_JEXECGS') or die ('Acceso restringido'); ?>
<script type="text/javascript">
	(function(a){a.fn.validaCampo=function(b){a(this).on({keypress:function(a){var c=a.which,d=a.keyCode,e=String.fromCharCode(c).toLowerCase(),f=b;(-1!=f.indexOf(e)||9==d||37!=c&&37==d||39==d&&39!=c||8==d||46==d&&46!=c)&&161!=c||a.preventDefault()}})}})(jQuery);
	$(function(){
        $('#txtRazon').validaCampo('abcdefghijklmnñopqrstuvwxyzáéiou1234567890');
		$('#txtDireccion').validaCampo(' abcdefghijklmnñopqrstuvwxyzáéiou1234567890');
		$('#txtTelefono').validaCampo('1234567890');
		$('#txtCelular').validaCampo('1234567890');
		$('#txtEmail').validaCampo('abcdefghijklmnopqrstuvwxyzáéiou1234567890@.');
    });
	function send(){
		var identificacion = document.getElementById('txtIdentificacion').value;
		var nombre = document.getElementById('txtNombre').value;
		var apellido = document.getElementById('txtApellido').value;
		var email = document.getElementById('txtEmail').value;
		var direccion = document.getElementById('txtDireccion').value;
		var celular = document.getElementById('txtCelular').value;
		var telefono = document.getElementById('txtTelefono').value;
		if(direccion.length<=0){
			alert("Ingrese la direccion");
			document.getElementById('txtDireccion').focus;
		}else if(identificacion.length!=10){
			alert("Ingrese un numero de cedula correcto");
			document.getElementById('txtCelular').focus;
			
		}else if(nombre.length<=0){
			alert("Ingrese los nombres");
			document.getElementById('txtCelular').focus;
			
		}else if(apellido.length<=0){
			alert("Ingrese los apellidos");
			document.getElementById('txtCelular').focus;
			
		}else if(celular.length<=0){
			alert("Ingrese un numero celular");
			document.getElementById('txtCelular').focus;
			
		}else if(telefono.length<=0){
			alert("Ingrese un telefono de casa");
			document.getElementById('txtTelefono').focus;
			
		}else if(email.length<=0){
			alert("Ingrese un email");
			document.getElementById('txtEmail').focus;
			
		}else if(validarEmail( email )){
			var ruta = 'controller/ctrlUsuario.php?opt=perfil';	
			document.frm.action = ruta;
			document.frm.submit();
		}
	}
	function validarEmail( email ) {
		expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
		if ( !expr.test(email) ){
			alert("La direccion de correo " + email + " es incorrecta.");
			return false;
		}else{
			return true;
		}
	}
	
	function nuevo(){
		var ruta = 'controller/ctrlUsuario.php?opt=nuevoperfil';	
		document.frm.action = ruta;
		document.frm.submit();
	}
</script>
<?php
$readonly="";
ini_set('display_errors','On');
//$_SESSION['num_identificacion'] = '0923256168';
if(isset($_GET['cod_cia'])){
	if($_GET['cod_cia']=='nuevo'){
		echo "<script type='text/javascript'>alert('Se creara un nuevo cliente');</script>";
	}else if($_GET['cod_cia']>0){
		require_once($_SERVER['DOCUMENT_ROOT'].'/shine/model/clsUsuario.php');
		$objUsuario = new clsUsuario();
		$reg=$objUsuario->MET_consultarPerfil($_GET['cod_cia']);
		unset($objUsuario);
		$readonly="readonly";
	}
}else if(isset($_SESSION['num_identificacion'])){
		require_once($_SERVER['DOCUMENT_ROOT'].'/shine/model/clsUsuario.php');
		$objUsuario = new clsUsuario();
		$reg=$objUsuario->MET_consultarPerfil($_SESSION['num_identificacion']);
		unset($objUsuario);
	}
?>
<form id="frm" name="frm" method="post">
<h2>Mantenimiento de clientes</h2>
<table>

<tr>
<td>
<p>Codigo</p>
</td>
<td>
<input disabled name="txtIdentificacion" type="text" class="txt_textbox" id="txtIdentificacion" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['cod_cia']:''; ?>"  />
</td>
</tr>

<tr>
<td>
<p>Nombres</p>
</td>
<td>
<input disabled name="txtNombre" type="text" class="txt_textbox" id="txtNombre" size="75" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['nom_cia']:''; ?>" />
</td>
</tr>





<tr>
<td>
<p>Direcci&oacute;n</p>
</td>
<td>
<input disabled name="txtDireccion" type="text" class="txt_textbox" id="txtDireccion" size="75" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['dir_cia']:''; ?>"  />
</td>
</tr>

<tr>
<td>
<p>Email</p>
</td>
<td>
<input disabled name="txtEmail" type="text" class="txt_textbox" id="txtEmail" size="75" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['mai_cia']:''; ?>"  />
</td>
</tr>

<tr>
<td>
<p>Celular</p>
</td>
<td>
<input disabled name="txtCelular" type="text" class="txt_textbox" id="txtCelular" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg))?$reg['tel_movil']:''; ?>"  />
</td>
</tr>




<tr>
<td>
<p>Numero de cuenta</p>
</td>
<td>
<input disabled name="txtNoCuenta" type="text" class="txt_textbox" id="txtNoCuenta" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg['no_cuenta']))?$reg['no_cuenta']:''; ?>" />
</td>
</tr>

<tr>
<td>
<p>Banco</p>
</td>
<td>
<input disabled name="txtBanco" type="text" class="txt_textbox" id="txtBanco" size="25" title="No usar espacios en blanco" value="<?php echo (isset($reg['nombre_banco']))?$reg['nombre_banco']:''; ?>" />
</td>
</tr>

<!--
<tr>
<td colspan="2" style="text-align:right;">
<?php //if($readonly==""){?>
<input name="btn_ingresar" type="button" class="txt_textbox" id="btn_ingresar" value="Grabar" style="width:70px" onClick="send();" />
<?php //}?>
<input name="btn_nuevo" type="button" class="txt_textbox" id="btn_nuevo" value="Nuevo" style="width:70px" onClick="nuevo();" />
</td>
</tr>
-->
</table>
</form>
<?php
	if(isset($reg)){
		unset($reg);
	}
?>
